SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0002199: Caching delle pagine dinamiche - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002199Endian FirewallProxy HTTPpublic2009-09-24 08:252010-11-22 12:04
Reporterboccardi 
Assigned Tosimon-endian 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.3-rc1 
Target VersionfutureFixed in Version2.3.1 
Summary0002199: Caching delle pagine dinamiche
DescriptionBuongiorno, ho visto nella documentazione di squid questa informazione:

http://wiki.squid-cache.org/ConfigExamples/DynamicContent [^]

in pratica la configurazione di default di squid non è più attuale e quasi tutte le pagine contengono queries.

Sarebbe possibile implementarla in Endian, visto il basso humero di CACHE HITS?

Alessandro
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0002995)
peter-endian (administrator)
2009-09-24 12:21

interesting, could you give it a try and report back?
especially if it is working with all sites, for example with http://www.msnbc.msn.com/ [^] we had much problems last times.
That would be great. I'm interested to integrate it if it has no side-effects
(0002996)
peter-endian (administrator)
2009-09-24 12:21

uhm. sorry.. ho sbagliato lingua :) traduco se necessario..
(0003000)
boccardi (reporter)
2009-09-24 14:28

Salve, queste le statistiche di oggi sul mio proxy squid con la modifica:

[root@Master ~]# grep -c HIT /var/log/squid/access.log
152431
[root@Master ~]# grep -c MISS /var/log/squid/access.log
715045


Queste sono dell'Endian Macro:

root@efw-master:~ # grep -c HIT /var/log/squid/access.log
29287
root@efw-master:~ # grep -c MISS /var/log/squid/access.log
582968

La configurazione è: Proxy SQUID interno che punta a PROXY PARENT Endian Macro
(0003033)
peter-endian (administrator)
2009-09-29 09:52

perfetto. grazie! Metteremo
(0003036)
boccardi (reporter)
2009-09-29 10:08

Grazie a voi!
(0003115)
pamukk (reporter)
2009-10-15 20:59

La modifica consiste nel sostituire la riga:

acl QUERY urlpath_regex cgi-bin \?

con le righe:

refresh_pattern -i (/cgi-bin/|\?) 0 0% 0
refresh_pattern . 0 20% 4320

è corretto?
Saluti pk
(0003116)
boccardi (reporter)
2009-10-16 06:41

Nel mio squid interno ho cancellato le righe seguenti:

hierarchy_stoplist cgi-bin ?
acl QUERY urlpath_regex cgi-bin \?
cache deny QUERY

Saluti. Alessandro
(0003360)
christian-endian (administrator)
2009-11-25 10:57
edited on: 2009-11-25 10:59

Translation:
In my squid I removed the following lines:

hierarchy_stoplist cgi-bin ?
acl QUERY urlpath_regex cgi-bin \?
cache deny QUERY

(0003423)
simon-endian (developer)
2009-11-27 14:34

applied changes from squid wiki

- Issue History
Date Modified Username Field Change
2009-09-24 08:25 boccardi New Issue
2009-09-24 11:03 peter-endian Target Version => future
2009-09-24 12:21 peter-endian Note Added: 0002995
2009-09-24 12:21 peter-endian Note Added: 0002996
2009-09-24 14:28 boccardi Note Added: 0003000
2009-09-29 09:52 peter-endian Note Added: 0003033
2009-09-29 09:52 peter-endian Status new => confirmed
2009-09-29 10:08 boccardi Note Added: 0003036
2009-10-15 20:59 pamukk Note Added: 0003115
2009-10-16 06:41 boccardi Note Added: 0003116
2009-11-25 08:54 christian-endian Relationship added child of 0002435
2009-11-25 10:06 christian-endian Status confirmed => new
2009-11-25 10:06 christian-endian Assigned To => simon-endian
2009-11-25 10:06 christian-endian Status new => acknowledged
2009-11-25 10:57 christian-endian Note Added: 0003360
2009-11-25 10:59 christian-endian Note Edited: 0003360
2009-11-27 14:34 simon-endian Note Added: 0003423
2009-11-27 14:34 simon-endian Status acknowledged => resolved
2009-11-27 14:34 simon-endian Fixed in Version => 2.3.1
2009-11-27 14:34 simon-endian Resolution open => fixed
2010-11-22 12:04 peter-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker